Correction: le .NET Framework 4.7 n'est pas pris en charge sur ce système d'exploitation

Conseille: Cliquez Ici Pour Corriger Les Erreurs De Windows Et D'Optimiser Les Performances Du Système

.Net Framework est une infrastructure de programmation introduite par Microsoft. Vous aurez besoin de .Net Framework pour exécuter différents services et applications. La plupart des applications nécessitant .Net Framework sont également livrées avec leurs fichiers d'installation. Donc, il sera automatiquement installé sur votre système lors de l'installation d'une application. Toutefois, une erreur peut apparaître: «Le .NET Framework 4.7 n'est pas pris en charge sur ce système d'exploitation» lors de l'installation d'une application. Cette erreur vous empêchera d'installer correctement l'application. Cette erreur peut survenir lorsque vous essayez d'installer .Net Framework en tant qu'application / service autonome.

La cause de cette erreur est la même que celle mentionnée dans le message d'erreur. Même si .Net Framework est pris en charge sur Windows 10 mais n’est pas compatible avec toutes les versions de Windows 10. Si vous voyez ce message, la cause la plus probable de cette erreur est que vous exécutez une version de Windows 10 n'est pas compatible avec le .Net Framework.

Méthode 1: mise à jour de Windows 10

La seule solution à ce problème consiste à mettre simplement à jour votre Windows 10. Il est conseillé de rechercher les mises à jour Windows même si vous utilisez la version la plus récente de Windows 10. Ce problème étant dû à un système d’exploitation incompatible, installez tous les logiciels Windows 10 disponibles. les mises à jour vont probablement résoudre le problème. Vous pouvez également vérifier la version exacte de votre Windows 10 et la version requise par .Net Framework en suivant les étapes décrites ci-dessous.

  1. Maintenez la touche Windows et appuyez sur R
  2. Tapez winver et appuyez sur Entrée

  1. Votre version doit être mentionnée dans la nouvelle fenêtre. Le numéro après la version (à la deuxième ligne) est votre numéro de version. Le nombre devrait être 1507 ou 1709. Les deux premiers chiffres représentent l'année et les deux derniers représentent le mois. Donc, si vous avez une version 1709, cela signifie que vous utilisez une version publiée en septembre 2017

  1. Maintenant, vous devez vous assurer que vous avez la version de Windows 10 compatible avec .Net Framework. Cliquez ici et cliquez sur la configuration requise

Si vous examinez la section relative aux systèmes d'exploitation pris en charge, vous y trouverez la mise à jour d'anniversaire de Windows 10 et la mise à jour de Windows 10 Creators . Comme beaucoup de gens ne connaissent pas les numéros de version associés aux mises à jour Anniversary et Creators, nous les avons mentionnés ci-dessous.

  • Mise à jour de novembre (1511)
  • Mise à jour anniversaire (14393)
  • Mise à jour des créateurs (1703)
  • Mise à jour des créateurs d'automne (1709)
  • Mise à jour de Spring Creators (1803)

Comme vous pouvez le constater, la mise à jour d'anniversaire porte le numéro de version 14393 et ​​la mise à jour de Creators, la version 1703. Ainsi, si vous avez une version inférieure à la version 14393, vous ne pourrez pas installer .Net Framework 4.7 sur Windows 10. Maintenant, mettez simplement à jour Windows et assurez-vous de disposer de la dernière version de Windows 10, puis réessayez.

Des Articles Intéressants